commit:     68e3a812fcf447ed894111f8aad8c580bf041f30
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  3 13:24:01 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jul  3 13:25:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68e3a812

net-analyzer/multipath-tcp-tools: Add live ebuild

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Bug: https://bugs.gentoo.org/730608
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 .../multipath-tcp-tools-999999.ebuild              | 42 ++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/net-analyzer/multipath-tcp-tools/multipath-tcp-tools-999999.ebuild 
b/net-analyzer/multipath-tcp-tools/multipath-tcp-tools-999999.ebuild
new file mode 100644
index 00000000000..60d3b27244e
--- /dev/null
+++ b/net-analyzer/multipath-tcp-tools/multipath-tcp-tools-999999.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit git-r3 toolchain-funcs
+
+DESCRIPTION="Analysis tools for Multipath Transmission Control Protocol 
(MPTCP)"
+HOMEPAGE="https://github.com/nasa/multipath-tcp-tools";
+EGIT_REPO_URI="https://github.com/nasa/multipath-tcp-tools/";
+
+LICENSE="NOSA"
+SLOT="0"
+KEYWORDS=""
+
+DEPEND="
+       dev-libs/openssl:*
+       net-libs/libpcap
+"
+RDEPEND="
+       ${DEPEND}
+"
+S=${WORKDIR}/${P}/network-traffic-analysis-tools
+
+src_prepare() {
+       sed -i \
+               -e 's|/man/man1|/share&|g' \
+               Makefile || die
+
+       default
+}
+
+src_compile() {
+       emake \
+               CXX="$(tc-getCXX)" \
+               CXXFLAGS="${CXXFLAGS}"
+}
+
+src_install() {
+       emake PREFIX="${D}/${EPREFIX}/usr" install
+
+       dodoc README
+}

Reply via email to